/* $Id: dictionary.h,v 1.5 2000/11/15 17:44:55 apc Exp $ */
/* Copyright 2000  AG Electronics Ltd. */
/* This code is distributed without warranty under the GPL v2 (see COPYING) */

#ifndef _GBIOS_DICTIONARY_H
#define _GBIOS_DICTIONARY_H
/* The last entry should be NULL. */
typedef struct gbios_dictionary {
    char *word;
    char *helptext;
    void (* action)(int argc, char **argv, void *data);
    void *data;
} gbios_dictionary;

typedef struct gbios_helpdata {
    char *text;
    const gbios_dictionary *dict;
    const gbios_dictionary *next_dict;
} gbios_helpdata;

extern const gbios_dictionary main_dictionary[];
extern const gbios_dictionary help_dictionary[];
extern const gbios_dictionary test_dictionary[];
extern const gbios_helpdata flash_helpdata;
extern const gbios_helpdata net_helpdata;
void search_dictionary(const gbios_dictionary *dict, int argc, char **argv);

#endif
