/* $Id: run.c,v 1.2 2000/11/15 17:44:55 apc Exp $ */
/* Copyright 2000  AG Electronics Ltd. */
/* This code is distributed without warranty under the GPL v2 (see COPYING) */

#include <stdio.h>
#include <iotypes.h>
#include <net.h>
#include <bsp.h>
#include <run.h>

u32 executable_start_address = 0xffffffff;
int code_loaded;

void do_run(int argc, char **argv)
{
    if (argc)
        executable_start_address = simple_strtoul(argv[0], NULL, 16);
    else
    {
        if (executable_start_address == 0xffffffff)
        {
            if (! code_loaded)
                do_boot(0, NULL);
            if (code_loaded)
                do_unpack(0, NULL);
        }
    }
    
    if (executable_start_address != 0xffffffff)
        bsp_run_executable(executable_start_address, NULL, 0, 0);
    else
        printf("Not valid executable\n");
}

/* This placeholder will eventually read the environment to find the default
   boot method, then perform it. */
void do_boot(int argc, char **argv)
{
    net_tftp(NULL);
}
