/* $Id: memory.S,v 1.2 2000/11/15 17:44:54 apc Exp $ */
/* Copyright 2000  AG Electronics Ltd. */
/* This code is distributed without warranty under the GPL v2 (see COPYING) */

#include <ppc_asm.tmpl>


.globl  bsp_init_memory

bsp_init_memory:
        mflr    r11
        lis     r10, 0x8000
        
        /* PCI Cmd */
        li      r4, 6
        ori     r3, r10, 4
        bl      __pci_config_write_16
        
        /* PCI Stat */
        ori     r3, r10, 6
        bl      __pci_config_read_16
        ori     r4, r4, 0xffff
        ori     r3, r10, 6
        bl      __pci_config_write_16
        
        /* CLK Drive */
        ori     r4, r10, 0xfc01 /* Top bit will be ignored */
        ori     r3, r10, 0x74
        bl      __pci_config_write_16
        /* EUMBBAR */
        lis     r4, 0xfc00
        ori     r3, r10, 0x78
        bl      __pci_config_write_32
        /* MemStart1 */
        lis     r4, 0x6040
        ori     r4, r4, 0x2000
        ori     r3, r10, 0x80
        bl      __pci_config_write_32
        /* MemStart2 */
        lis     r4, 0xe0c0
        ori     r4, r4, 0xa080
        ori     r3, r10, 0x84
        bl      __pci_config_write_32
        /* ExtMemStart1 */
        li      r4, 0
        ori     r3, r10, 0x88
        bl      __pci_config_write_32
        /* ExtMemStart2 */
        li      r4, 0
        ori     r3, r10, 0x8c
        bl      __pci_config_write_32
        /* MemEnd1 */
        lis     r4, 0x7f5f
        ori     r4, r4, 0x3f1f
        ori     r3, r10, 0x90
        bl      __pci_config_write_32
        /* MemEnd2 */
        lis     r4, 0xffdf
        ori     r4, r4, 0xbf9f
        ori     r3, r10, 0x94
        bl      __pci_config_write_32
        /* ExtMemEnd1 */
        li      r4, 0
        ori     r3, r10, 0x98
        bl      __pci_config_write_32
        /* ExtMemEnd2 */
        li      r4, 0
        ori     r3, r10, 0x9c
        bl      __pci_config_write_32
        /* MBEN */
        li      r4, 3
        ori     r3, r10, 0xa0
        bl      __pci_config_write_8
        /* Page CTR */
        li      r4, 0x32
        ori     r3, r10, 0xa3
        lis     r7, 1
        mtctr   r7
        bl      __pci_config_write_8
#if 0
wait_ctr:
        bdnz wait_ctr
#endif
        /* PICR1 */
        lis     r4, 0xff04
        ori     r4, r4, 0x1a18
        ori     r3, r10, 0xa8
        bl      __pci_config_write_32
        /* PICR2 */
        lis     r4, 0x0404
        ori     r4, r4, 0x0004
        ori     r3, r10, 0xac
        bl      __pci_config_write_32
        /* MCCR4 */
        lis     r4, 0x3532
        ori     r4, r4, 0x3239
        ori     r3, r10, 0xfc
        bl      __pci_config_write_32
        /* MCCR3 */
        lis     r4, 0x7840
        ori     r3, r10, 0xf8
        bl      __pci_config_write_32
        /* MCCR2 */
        lis     r4, 0x0440
        ori     r4, r4, 0x023c
        ori     r3, r10, 0xf4
        bl      __pci_config_write_32
        /* MCCR1 */
        lis     r4, 0x75e8
        ori     r3, r10, 0xf0
        lis     r7, 2
        ori     r7, r7, 0xffff
        mtctr   r7
        bl      __pci_config_write_32
wait_mccr1:
        bdnz wait_mccr1
        mtlr    r11
        blr
        
