run_base =  0x800100;
load_base = 0x800100;
text_base = run_base;

SECTIONS
{
    . = text_base;
    .text : AT(load_base)
    {
        *(.text) *(.rodata) *(.init) *(.fini) *(.ctors) *(.dtors)
        *(.gcc_except_table)
    }
    PROVIDE(__end_text = ALIGN(16));
    . = (text_base == run_base) ? run_base + SIZEOF(.text) : run_base;
    PROVIDE(__start_data = ALIGN(16));
    .data  ALIGN(16) : AT ( load_base + __end_text - text_base)
    {
        *(.got)
        *(.got1)
        _GOT2_TABLE_ = .;
        *(.got2)
        _FIXUP_TABLE_ = .;
        *(.fixup)
     
        *(.data) *(.data1) *(.sdata2)
        *(.sbss2)
        *(.sdata)  
    }
    PROVIDE(__end_data = .);
    PROVIDE(__bss_start = .);
    .bss  : { *(.sbss) *(.bss) *(COMMON) }
    PROVIDE(__bss_end = .);
}
ENTRY(load_base );
