/* $Id: io.h,v 1.3 2000/11/15 17:44:55 apc Exp $ */
/* Copyright 2000  AG Electronics Ltd. */
/* This code is distributed without warranty under the GPL v2 (see COPYING) */

#ifndef _GBIOS_IO_H
#define _GBIOS_IO_H

#include "iotypes.h"

u8 read_8(ioaddr addr);
u16 read_16(ioaddr addr);
u32 read_32(ioaddr addr);
void write_8(ioaddr addr, u8 data);
void write_16(ioaddr addr, u16 data);
void write_32(ioaddr addr, u32 data);
u8 in_8(ioaddr addr);
u16 in_16(ioaddr addr);
u32 in_32(ioaddr addr);
void out_8(ioaddr addr, u8 data);
void out_16(ioaddr addr, u16 data);
void out_32(ioaddr addr, u32 data);

#endif
